import { atomFamily } from 'recoil';

/**
 * Atom family for storing delegate counts during primary seasons.
 *
 * NOTE: This atom is a multi-source atom, meaning that you should not use the
 * atom directly. It is a stub for the `delegates` selector.
 */
const delegates = atomFamily({
  key: 'int-style.election.atoms.delegates',
  default: undefined
});
export default delegates;