import { atom } from 'recoil';

/**
 * Atom for explicitly storing the "start time" of the app, if there is one.
 * This will often be something like the build time in a statically built app.
 */
const startTime = atom({
  key: 'int-style.time.atoms.startTime',
  default: undefined
});
export default startTime;