import MarkdownContent from "../MarkdownContent/index.js";
import Link from './Link';
const ElectionMarkdown = function ElectionMarkdown(props) {
  const {
    components,
    tracking,
    ...restProps
  } = props;
  return <MarkdownContent components={{
    ...components,
    link: Link
  }} linksExternal={false} tracking={tracking} {...restProps} />;
};
ElectionMarkdown.defaultProps = {
  components: {},
  tracking: {}
};
export default ElectionMarkdown;