/**
 * Text formatting and icon options for the runoff tag
 *
 * @property {object} text      - The text formats displayed at the `ContestInfoTag`'s respective size
 * @property {object} iconSize  - The icon sizes passed to `ElectionIcon` at the `ContestInfoTag`'s respective size
 */

const longText = 'Goes to runoff';
const shortText = 'Runoff';
export default {
  text: {
    '000': undefined,
    100: shortText,
    200: longText,
    300: longText,
    400: longText,
    500: longText
  },
  iconSize: {
    '000': '3',
    100: '3',
    200: '3',
    300: '3',
    400: '4',
    500: '4'
  }
};