import classes from './styles.module.scss';
const DiamondSingle = function DiamondSingle(props) {
  const {
    fill,
    stroke
  } = props;
  return <div className={classes.container}>
      <svg width="16" height="16" viewBox="0 0 16 16">
        <polygon points={['1,8', '8,1', '15,8', '8,15'].join(' ')} fill={fill} stroke={stroke} strokeWidth="1" />
      </svg>
    </div>;
};
export default DiamondSingle;