import ElectionLink from "../../../ElectionLink/index.js";
import classes from './styles.module.scss';
const CalendarLink = function CalendarLink(props) {
  const {
    tracking
  } = props;
  const trackingOpts = {
    ...tracking,
    linkName: 'full-calendar'
  };
  return <div className={classes.container}>
      <ElectionLink to="standalone:calendar" tracking={trackingOpts}>
        <span className={classes.link}>See full calendar</span>
      </ElectionLink>
    </div>;
};
export default CalendarLink;