import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M24.5,42.8L31.4,21.2L29.4,8L103.1,10.3L102.6,80.6L205.1,172.4L215.5,189.3L208.2,197.5L205.1,209.9L210.8,222.8L206,226L158.5,232L151.8,214.9L130.5,197.4L119,195.9L109.2,188.2L93,187.5L89.3,184.3L89.7,171.5L77.7,158.6L65,136.7L68.5,131.3L57.4,122.3L55.8,108.5L61.9,115L56.4,100.6L55.4,107.1L34.8,80.8L33.3,59.1L24.6,48.5Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const California = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
California.displayName = 'California';
const CaliforniaWithColor = withColor(California);
CaliforniaWithColor.stateFips = '06';
export default CaliforniaWithColor;