import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M8,164.1L17.4,164.7L27,140.6L40.3,146.9L41,134.6L52.9,131.7L50.2,125.5L58.9,115.8L72.1,115.2L81.2,121.9L89.9,113.5L95.6,118.9L104.3,108L115.9,112.5L119,103.1L130.6,93.3L129.6,87.1L148,84.3L145.4,74.4L157.9,71.7L165.3,83.3L192.2,90.4L203.6,84.2L211.7,94.3L211.9,107L222.2,123.3L232,128.4L210.3,145L198.5,159L182.2,165.4L58.4,163.5L52.4,168.3L8,166.9Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Kentucky = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Kentucky.displayName = 'Kentucky';
const KentuckyWithColor = withColor(Kentucky);
KentuckyWithColor.stateFips = '21';
export default KentuckyWithColor;