import classnames from 'classnames';
import { IconPlus, IconMinus } from "../../../icons/index.js";
import styles from './styles.module.scss';
const Controls = function Controls(props) {
  const {
    zoomIn,
    zoomOut
  } = props;
  return <div className={styles.container}>

      <button type="button" className={classnames(styles.button, styles.top)} onClick={zoomIn} aria-label="Zoom in">
        <IconPlus size="18px" />
      </button>

      <button type="button" className={classnames(styles.button, styles.bottom)} onClick={zoomOut} aria-label="Zoom out">
        <IconMinus size="18px" />
      </button>
    </div>;
};
export default Controls;