import { atomFamily } from 'recoil';

/**
 * Atom family for storing the set of all call events for a particular contest.
 *
 * NOTE: This atom is a multi-source atom, meaning that you should not use the
 * atom directly. It is a stub for the `contestCallEvents` selector.
 */
const contestCallEvents = atomFamily({
  key: 'election.atoms.contestCallEvents',
  default: undefined,
});
export default contestCallEvents;
