/**
 * Text formatting and icon options for the held tag
 *
 * @property {object} text  - The text displayed for the respective party at the respective size
 */

const defaultDemText = 'Dems held';
const defaultGOPText = 'GOP held';
export default {
  dem: {
    text: {
      '000': defaultDemText,
      100: defaultDemText,
      200: defaultDemText,
      300: defaultDemText,
      400: defaultDemText,
      500: defaultDemText
    }
  },
  gop: {
    text: {
      '000': defaultGOPText,
      100: defaultGOPText,
      200: defaultGOPText,
      300: defaultGOPText,
      400: defaultGOPText,
      500: defaultGOPText
    }
  }
};