import ContestRecountStatus from "../../ContestRecountStatus/index.js";
import classnames from 'classnames';
import typography from '../typography.module.scss';
import classes from './styles.module.scss';
import formatOptions from './options';
const Recount = function Recount(props) {
  const {
    contestId,
    size
  } = props;
  const format = formatOptions.format[size] || 'full';
  const iconSize = formatOptions.iconSize[size];
  return <div className={classnames(classes.container, typography.bold)}>
      <ContestRecountStatus id={contestId} format={format} iconSize={iconSize} />
    </div>;
};
export default Recount;