import { forwardRef } from 'react';
import { IconBase } from '@phosphor-icons/react';
import withColor from '../withColor';

/* eslint-disable max-len */
const fill = <path d="M8,80.4L14.9,64.9L10.1,46.5L99.7,48.5L193.5,47.6L199.3,59.1L195.4,64.8L197,75.6L204,85.7L212.4,88.2L214.5,95.4L232,112L231.8,125.8L226.6,136.1L214.1,143.2L202.7,145L199.9,153.3L206,167L200.3,180.4L192.6,183.4L191.7,193.5L178.7,183.7L144.6,185.3L78.6,186L34.7,184.4L30.5,177.2L33.4,170.2L30.3,143.3L23.6,135.7L25.8,127.3L18.9,115.2Z" />;
/* eslint-enable max-len */

const weights = new Map([['fill', fill], ['thin', fill], ['light', fill], ['regular', fill], ['bold', fill], ['duotone', fill]]);
const Iowa = forwardRef((props, ref) => <IconBase ref={ref} {...props} weights={weights} />);
Iowa.displayName = 'Iowa';
const IowaWithColor = withColor(Iowa);
IowaWithColor.stateFips = '19';
export default IowaWithColor;