import { useContext } from 'react';
import context from "../../../components/application/ContainerBreakpoint/context.js";

/**
 * Get the name of the _container_ breakpoint that the current container
 * measurement fits into. Note that this requires a `ContainerBreakpoint`
 * wrapper to function properly.
 */
const useContainerBreakpoint = function useContainerBreakpoint() {
  return useContext(context);
};
export default useContainerBreakpoint;